function cons_drop=comp_cdrop(panel)
%consumption drop from non-employment

%aggregate non-employment
panel(logical((panel(:,2)>1).*(panel(:,2)<5)),2) = 2;

fcn = @(x){create_diff(x)};
panel(:,14) = accumarray_expand(panel(:,2),panel(:,1),fcn); %employment transitions
panel(panel(:,14)==-1,14)=0; %finding a job
panel(panel(:,14)==3,14)=4; %unemployment to retirement
panel(panel(:,7)<=0,7) = 0.1;
panel(:,15) = accumarray_expand(log(panel(:,7)),panel(:,1),fcn); %consumption growth
cons_drop.u = mean(panel(panel(:,14)==1,15));
cons_drop.r = mean(panel(panel(:,14)==4,15));
cons_drop.t = mean(panel(panel(:,14)>0,15));

end