function u_lowW=comp_ulowW(panel)
%share of households with low wealth

%only just unemployed
aux = panel(panel(:,2)==2,:);

u_lowW.enter.financial = sum(aux(:,6)<3000)./length(aux);
u_lowW.enter.all = sum((aux(:,6)+aux(:,13))<3000)./length(aux);

%all unemployed
aux = panel(logical((panel(:,2)>1).*(panel(:,2)<4)),:);

u_lowW.all.financial = sum(aux(:,6)<3000)./length(aux);
u_lowW.all.all = sum((aux(:,6)+aux(:,13))<3000)./length(aux);

end