function [agrid,cut] = get_agrid2(agrid,abar1,abar2)
%function computes asset grid. issue is that several points need to be on
%grid and cut is endogenous.

cut_old = 0; %guess cut


points = [abar1; abar2];
points = sort(points);

%assure that abar is on grid (and abar+S are)
crit = 1;
while crit>0
    
    for i = 1:length(points)
        if sum(points(i,1)==agrid)==0 %point does not exist yet
            index = sum(points(i,1)>agrid);
            agrid = [agrid(1:index); points(i,1); agrid(index+1:end)]; %add the point to agrid
        end
    end
    
    if sum(abar1==agrid)==0
        disp('Problem with computing grid points')
    end
    if sum(abar2==agrid)==0
        disp('Problem with computing grid points')
    end
    cut(1) = find(abar1==agrid);
    cut(2) = find(abar2==agrid);
    
    crit = abs(cut_old-cut);
    cut_old = cut;
    
end



end