function [y0] = lininter(x,y,x0)

%LININTER y0 = lininter(x,y,x0)
%Function lininter computes a linear interpolation for point x0
%given the vector of x-values in x and their corresponding funtional values
%y

%j = sum(x<=x0);

j = 0;
for i1 = 1:length(x)
	if (x0>=x(i1))
		j = i1;
    end
end

if j==0
    j=1;
elseif j==length(x)
    j=length(x)-1;
end
    

y0 = y(j)+(y(j+1)-y(j))*(x0-x(j))/(x(j+1)-x(j));
end