function index = group(X)
%builds a new index resulting from two other indexes

index1 = zeros(length(X),1);
index2 = zeros(length(X),1);

index1(2:end) = diff(X(:,1));
index1(1,1) = 1;
index1(index1~=0,1) = 1;

index2(2:end) = diff(X(:,2));
index2(1,1) = 1;
index2(index2~=0,1) = 1;

index = index1+index2;
index(index~=0,1) = 1;
index = cumsum(index);

end