function paraopt = gaussnewton(FUN,x0)

delta = [0.001; 50; 0.01];
% delta = [0.003; 0.05];
k = 3;
p = length(x0);

crit = 1;
while crit>0.1*10^-2
    r = FUN(x0);
    if sum(abs(r))<10^-2
        crit = 0;
    else
        deltar = zeros(k,p);
        j=0;
        while j < p
            j = j+1;
            xr = x0;
            xr(j) = xr(j)+delta(j);
            rr = FUN(xr);
            deltar(:,j) = (rr-r)./(delta);
            if sum(abs(rr))<10^-2
                j=p;
                x0 = xr;
                crit = 0;
            end
        end
        if crit>0
            xbar = deltar;
    %       gammabar = inv(xbar'*xbar)*(xbar'*r);
            gammabar = (xbar'*xbar)\(xbar'*r);
            x1 = x0-0.2*gammabar;
%           crit = sum(abs(x1-x0));
            crit = sum(abs(r));
            x0=x1;
            x1
        end
    end
end



paraopt = x0;

end