function mass_dem = get_dem(life,perm_prob,survival)

mass_dem = 100000*ones(life,1)./(life);

t = 1;
while t<life*5
    %agents age and are reborn
    mass.old = mass_dem;
    dist_new = zeros(life,1);
    dist_new(2:end,1) = survival(1:end-1,1).*mass.old(1:end-1,1);

    mass.dye = sum(sum(sum(sum((1-survival).*mass.old)))); %amount of agents dying

    mass.newborn = mass.dye;


    dist_new(1,1) = mass.newborn.*perm_prob(1,1); %agents are reborn

    mass_dem = dist_new;
    t = t+1;
end

% mass_dem = mass_dem/100000;

end