function f=interp2_l(x_g,y_g,V,x0,y0,xi,yi)
%performs for the vectors of length N the 2d interpolation of function V on
%grids x_g,y_g at function values x0,y0 

% xi = max(1,min(sum(x0>x_g),nx-1));
% yi = max(1,min(sum(y0>y_g),ny-1));

num = ((x_g(xi+1)-x_g(xi)).*(y_g(yi+1)-y_g(yi)));
a00 = ((x_g(xi+1)-x0).*(y_g(yi+1)-y0))./num;
a01 = ((x_g(xi+1)-x0).*(y0-y_g(yi)))./num;
a10 = ((x0-x_g(xi)).*(y_g(yi+1)-y0))./num;
a11 = ((x0-x_g(xi)).*(y0-y_g(yi)))./num;


f = a00(1,1)*V(xi(1,1),yi(1,1))+a01(1,1)*V(xi(1,1),yi(1,1)+1)...
        +a10(1,1)*V(xi(1,1)+1,yi(1,1))+a11(1,1)*V(xi(1,1)+1,yi(1,1)+1);

