function [V_op_y, pol_op_y] = last_y(V_op_y,pol_op_y,discon_S,discon,EV,beta,R,step,w,I,S,agrid,na,kgrid,abar,Mcprime,extra,val_extra,pol_extra,low_max,gamma)

ss = discon_S; 
if discon_S > 1
    index.length = low_max-discon(ss-1,1);
    if index.length>3 %only do EGM, if the length between discontinuities is sufficiently long
        [~,pol_op_y(:,ss),V_op_y(:,ss)] = op_1_l(EV,beta,R,step,w,I,S,agrid,discon(ss-1,1),low_max,na,kgrid,abar,Mcprime,gamma);
    elseif index.length > 0
        grid = linspace(agrid(discon(ss-1,1),1),agrid(low_max,1),extra)';
        val2 = val_extra;
        pol2 = pol_extra;
        v_grid = beta*interp1_l(agrid,EV,grid);
        for kk = 1:extra
            pol2(kk,1) = (grid(kk,1)-S)./R;
            index.pos = I(:,1)-pol2(kk,1)>0;
            val2(index.pos,kk) = CARRA(I(index.pos,1)-pol2(kk,1),gamma)+v_grid(kk,1);
        end
        [V_op_y(:,ss),polindex2] = max(val2,[],2);
        pol_op_y(:,ss) = pol2(polindex2);
    else
        index.pos = I(:,1)-((agrid(low_max,1)-S)./R)>0;
        V_op_y(:,ss) = -100000000*ones(na,1); %initialization
        pol_op_y(:,ss) = (agrid(low_max,1)-S)./R;
        V_op_y(index.pos,ss) = CARRA(I(index.pos,1)-pol_op_y(index.pos,ss),gamma)+beta*EV(low_max,1);
    end
    
else
    index.length = low_max;
    if index.length>3 %only do EGM, if the length between discontinuities is sufficiently long
        [~,pol_op_y(:,ss),V_op_y(:,ss)] = op_1_l(EV,beta,R,step,w,I,S,agrid,1,low_max,na,kgrid,abar,Mcprime,gamma);
    elseif index.length > 0
        grid = linspace(agrid(1,1),agrid(low_max,1),extra)';
        val2 = val_extra;
        pol2 = pol_extra;
        v_grid = beta*interp1_l(agrid,EV,grid);
        for kk = 1:extra
            pol2(kk,1) = (grid(kk,1)-S)./R;
            index.pos = I(:,1)-pol2(kk,1)>0;
            val2(index.pos,kk) = CARRA(I(index.pos,1)-pol2(kk,1),gamma)+v_grid(kk,1);
        end
        [V_op_y(:,ss),polindex2] = max(val2,[],2);
        pol_op_y(:,ss) = pol2(polindex2);
    else
        index.pos = I(:,1)-((agrid(low_max,1)-S)./R)>0;
        V_op_y(:,ss) = -100000000*ones(na,1); %initialization
        pol_op_y(:,ss) = (agrid(low_max,1)-S)./R;
        V_op_y(index.pos,ss) = CARRA(I(index.pos,1)-pol_op_y(index.pos,ss),gamma)+beta*EV(low_max,1);
    end
end

end