local PATH "F:\Insurance\Revision\Numerics\Clean\Stata"


cd "`PATH'"
use "F:\Insurance\Revision\Numerics\Clean\Stata\aggregated", clear

drop if emp==0
drop if di==1
keep if age>24
drop if age >= 65

*recode
replace sex=0 if sex==1
replace race = 0 if race==1
replace hmetro = 0 if hmetro==1
replace ms = 0 if ms==1
replace educ = 0 if educ==4

gen age_bin=1 if age>=25 & age<=27
replace age_bin=2 if age>=28 & age<=30
replace age_bin=3 if age>=31 & age<=33
replace age_bin=4 if age>=34 & age<=36
replace age_bin=5 if age>=37 & age<=39
replace age_bin=6 if age>=40 & age<=42
replace age_bin=7 if age>=43 & age<=45
replace age_bin=8 if age>=46 & age<=48
replace age_bin=9 if age>=49 & age<=51
replace age_bin=10 if age>=52 & age<=54
replace age_bin=11 if age>=55 & age<=57
replace age_bin=12 if age>=58 & age<=61
replace age_bin=13 if age>=62 & age<=64

gen learn = log(hearn_inc)
xi: reg learn i.age*i.disab i.year i.sex i.race i.hmetro i.ms i.educ i.hstate [aweight=hwgt]
